"""Diagonal - a client library for Fred service diagnostics."""

from .client import About, DiagnosticsClient, Service, Status
from .exceptions import DiagnosticsError, DiagnosticsNotImplemented, ServiceUnavailable

__version__ = "2.0.0"

__all__ = [
    "About",
    "DiagnosticsClient",
    "DiagnosticsError",
    "DiagnosticsNotImplemented",
    "Service",
    "ServiceUnavailable",
    "Status",
]
